Skip to content

Refresh access token

POST
/api/v1/auth/refresh

Exchange a valid refresh token for a new access token.

Authorizations

Request Body required

Request body for the token refresh endpoint.

Attributes: refresh_token: A valid refresh token.

object
refresh_token
required

Valid refresh token

string

Responses

200

Successful Response

Response body for the token refresh endpoint.

Attributes: access_token: A short-lived JWT access token. refresh_token: A long-lived JWT refresh token. token_type: Always ‘bearer’.

object
access_token
required

Short-lived JWT access token

string
refresh_token
required

Long-lived JWT refresh token

string
token_type
required

Token scheme, always ‘bearer’

string

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string